jQuery(document).ready(function($) {
	// 日付ピッカー
	$.datepicker.setDefaults($.datepicker.regional["ja"]);
	var dates = $('#datepicker-from, #datepicker-to').datepicker({
		showOn: 'both',
		buttonText: '',
		buttonImageOnly: true,
		dateFormat:"yy-mm-dd",
		maxDate: 0,
		onSelect: function(selectedDate) {
			var option = this.id == 'datepicker-from' ? 'minDate' : 'maxDate',
			instance = $(this).data('datepicker'),
			date = $.datepicker.parseDate(instance.settings.dateFormat || $.datepicker._defaults.dateFormat, selectedDate, instance.settings);
			dates.not(this).datepicker('option', option, date);
		}
	});

	// 入力エリア増減（定型文・アクセス制限）
	$('#mwc-option-form').on('click', 'button.input-action', function(event) {
		event.preventDefault();
		var action = $(this).data('action');
		var field = $(this).siblings('.input-custom-field');
		if (action == 'add') {
			field.append('<input type="text" name="' + field.data('field-name') + '[]" value="" class="regular-text" />')
		} else if (action = 'remove') {
			field.find(':last-child').remove();
		}
	});

	// チェックボックス押下送信
	$('form[name="mwc-clap-table-tool"]').on('change', 'input[type="checkbox"]', function(event) {
		$(this).closest('form').submit();
	});
});
